rte_gso_ctx(3)

NAME
rte_gso_ctx

SYNOPSIS

#include <rte_gso.h>

  Data Fields

struct rte_mempool * direct_pool
struct rte_mempool * indirect_pool
uint64_t flag
uint32_t gso_types
uint16_t gso_size

Detailed Description

GSO context structure.

Definition at line 37 of file rte_gso.h.

Field Documentation

  struct rte_mempool* direct_pool
MBUF pool for allocating direct buffers, which are used to store packet headers for GSO segments.

Definition at line 38 of file rte_gso.h.

  struct rte_mempool* indirect_pool
MBUF pool for allocating indirect buffers, which are used to locate packet payloads for GSO segments. The indirect buffer doesn't contain any data, but simply points to an offset within the packet to segment.

Definition at line 42 of file rte_gso.h.

  uint64_t flag
flag that controls specific attributes of output segments, such as the type of IP ID generated (i.e. fixed or incremental).

Definition at line 48 of file rte_gso.h.

  uint32_t gso_types
the bit mask of required GSO types. The GSO library uses the same macros as that of describing device TX offloading capabilities (i.e. RTE_ETH_TX_OFFLOAD_*_TSO) for gso_types.

For example, if applications want to segment TCP/IPv4 packets, set RTE_ETH_TX_OFFLOAD_TCP_TSO in gso_types.

Definition at line 52 of file rte_gso.h.

  uint16_t gso_size
maximum size of an output GSO segment, including packet header and payload, measured in bytes. Must exceed RTE_GSO_SEG_SIZE_MIN.

Definition at line 61 of file rte_gso.h.

Author

Generated automatically by Doxygen for DPDK from the source code.